from django.views.i18n import javascript_catalog
from django.conf import settings

# esempio /jsi18n/?app=jmb.ticket&app= ecc..
# la traduzione del progetto viene sempre chiamata
# e sovrascrive evenutalmente le altre
# https://github.com/django/django/blob/master/django/views/i18n.py

def load_translation(request):
    apps = request.GET.getlist('app', [])
    if not isinstance(apps, list):
        apps = [apps,]
    prj = settings.ROOT_URLCONF.split(".")[0]
    return javascript_catalog(request, 'djangojs', apps+[prj,])
